<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: Visualization Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespaceVisualization.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Visualization Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2fc558414972b571432b236ce40595c7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7">main</a> (y_test, history, test_predictions, NViz)</td></tr>
<tr class="separator:a2fc558414972b571432b236ce40595c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8daf19078ed2a4a872bcbeccabe518e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#af8daf19078ed2a4a872bcbeccabe518e">plot_history</a> (history, ss_label, space_label)</td></tr>
<tr class="separator:af8daf19078ed2a4a872bcbeccabe518e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43afb30fea9bb592e6925646551a7772"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a43afb30fea9bb592e6925646551a7772">plot_predictions</a> (y_test, test_predictions, NViz, ss_label, space_label)</td></tr>
<tr class="memdesc:a43afb30fea9bb592e6925646551a7772"><td class="mdescLeft">&#160;</td><td class="mdescRight">PLOT OF THE PREDICTIONS FOR SUPERVISED REGRESSION FROM SINGLE SHOTS ###.  <a href="namespaceVisualization.html#a43afb30fea9bb592e6925646551a7772">More...</a><br /></td></tr>
<tr class="separator:a43afb30fea9bb592e6925646551a7772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cbd305495c4edc4a0b18173f8d1877e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a0cbd305495c4edc4a0b18173f8d1877e">SaveHistoryToFile</a> (HISTORY, keys, HistoryFileName)</td></tr>
<tr class="separator:a0cbd305495c4edc4a0b18173f8d1877e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d0cb2bb32d0d72a646e25d79f06169"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a62d0cb2bb32d0d72a646e25d79f06169">AddKeysToPlot</a> (PLOT, HISTORY, keys, pattern, legend)</td></tr>
<tr class="separator:a62d0cb2bb32d0d72a646e25d79f06169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73d38fab201e34e1f619cb4302ccf090"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a73d38fab201e34e1f619cb4302ccf090">grid_display</a> (list_of_images, list_of_titles=[], no_of_columns=2, figsize=(10, 10))</td></tr>
<tr class="separator:a73d38fab201e34e1f619cb4302ccf090"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b2928dd15b353ec07a1fa887276b1c2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a4b2928dd15b353ec07a1fa887276b1c2">result_averaging</a> (y_test, test_predictions)</td></tr>
<tr class="separator:a4b2928dd15b353ec07a1fa887276b1c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cbc7721a052d8060c73ba8277638af6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a8cbc7721a052d8060c73ba8277638af6">get_labels</a> ()</td></tr>
<tr class="separator:a8cbc7721a052d8060c73ba8277638af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acefb83c8448ce68974698f7c4f9c71bb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#acefb83c8448ce68974698f7c4f9c71bb">folder_creation</a> ()</td></tr>
<tr class="separator:acefb83c8448ce68974698f7c4f9c71bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a313297e7038cb8ceef52843bd961a3f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a313297e7038cb8ceef52843bd961a3f6">threshold</a></td></tr>
<tr class="separator:a313297e7038cb8ceef52843bd961a3f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33f558cf5ff78450c386a582beb8cd21"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a33f558cf5ff78450c386a582beb8cd21">NSamples</a> = int(inp.NShots/inp.NShotsPerSample)</td></tr>
<tr class="separator:a33f558cf5ff78450c386a582beb8cd21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2212aeef70b028f01c80de4987fa1c09"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a2212aeef70b028f01c80de4987fa1c09">TestingFraction</a> = len(y_test[:,0])</td></tr>
<tr class="memdesc:a2212aeef70b028f01c80de4987fa1c09"><td class="mdescLeft">&#160;</td><td class="mdescRight">ax.hist(phases, density=1, bins=n_bins)  <a href="namespaceVisualization.html#a2212aeef70b028f01c80de4987fa1c09">More...</a><br /></td></tr>
<tr class="separator:a2212aeef70b028f01c80de4987fa1c09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a229d9a1b4760bab8b580e867331cfa0d"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a229d9a1b4760bab8b580e867331cfa0d">indices</a> = []</td></tr>
<tr class="separator:a229d9a1b4760bab8b580e867331cfa0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a295577d3e266e9cf1cdfe43469a1c922"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a295577d3e266e9cf1cdfe43469a1c922">titles</a> = []</td></tr>
<tr class="separator:a295577d3e266e9cf1cdfe43469a1c922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab8d33b679d1ca68fed42d1f8fa1d18b"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#aab8d33b679d1ca68fed42d1f8fa1d18b">corrplot</a> = []</td></tr>
<tr class="separator:aab8d33b679d1ca68fed42d1f8fa1d18b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c79fcc95b0f60baca2dc17a37af9b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a73c79fcc95b0f60baca2dc17a37af9b5">VizGrid</a> = np.reshape(np.loadtxt('VizGrid.txt', usecols=[0,1]),(-1,2))</td></tr>
<tr class="separator:a73c79fcc95b0f60baca2dc17a37af9b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a954d97f83053ab22bcd29d5f59990d18"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a954d97f83053ab22bcd29d5f59990d18">fig</a></td></tr>
<tr class="separator:a954d97f83053ab22bcd29d5f59990d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48a65a8de87d95b0dbbec60fa477f72a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a48a65a8de87d95b0dbbec60fa477f72a">axes</a></td></tr>
<tr class="separator:a48a65a8de87d95b0dbbec60fa477f72a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa96c5d6df4e8c59ce0fe04e9284d64a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#aaa96c5d6df4e8c59ce0fe04e9284d64a">ncols</a></td></tr>
<tr class="separator:aaa96c5d6df4e8c59ce0fe04e9284d64a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cb6bc042158650731c166352973acab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a7cb6bc042158650731c166352973acab">sharex</a></td></tr>
<tr class="separator:a7cb6bc042158650731c166352973acab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed67a92e32542a47ff4c87c2ca49b265"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#aed67a92e32542a47ff4c87c2ca49b265">True</a></td></tr>
<tr class="separator:aed67a92e32542a47ff4c87c2ca49b265"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e46e6746c3d51841fc89f79a8a3121f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a3e46e6746c3d51841fc89f79a8a3121f">sharey</a></td></tr>
<tr class="separator:a3e46e6746c3d51841fc89f79a8a3121f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af64391a8e92283b02733d49d88d83c73"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#af64391a8e92283b02733d49d88d83c73">left</a></td></tr>
<tr class="separator:af64391a8e92283b02733d49d88d83c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c2b77f8379ee0d4ce1f438afcc7ec26"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a4c2b77f8379ee0d4ce1f438afcc7ec26">None</a></td></tr>
<tr class="separator:a4c2b77f8379ee0d4ce1f438afcc7ec26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7615539e77c6d21800dab236441df04c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a7615539e77c6d21800dab236441df04c">bottom</a></td></tr>
<tr class="separator:a7615539e77c6d21800dab236441df04c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4c18402ffec7da7c8b4deb6216a6ad7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#ad4c18402ffec7da7c8b4deb6216a6ad7">right</a></td></tr>
<tr class="separator:ad4c18402ffec7da7c8b4deb6216a6ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0568e58b5b84125c7edefdda2d19fd86"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a0568e58b5b84125c7edefdda2d19fd86">top</a></td></tr>
<tr class="separator:a0568e58b5b84125c7edefdda2d19fd86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a858742a7d6e2d14a58454df731fba530"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a858742a7d6e2d14a58454df731fba530">wspace</a></td></tr>
<tr class="separator:a858742a7d6e2d14a58454df731fba530"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca1f5f71877662af1ac2e4f689ab65e3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#aca1f5f71877662af1ac2e4f689ab65e3">hspace</a></td></tr>
<tr class="separator:aca1f5f71877662af1ac2e4f689ab65e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17e94cd6db5805972738361b30548bc9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a17e94cd6db5805972738361b30548bc9">j</a> = 0</td></tr>
<tr class="separator:a17e94cd6db5805972738361b30548bc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9732cad5841d0fbdde6de587dcf01389"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a9732cad5841d0fbdde6de587dcf01389">cmap</a> = plt.get_cmap('Blues')</td></tr>
<tr class="separator:a9732cad5841d0fbdde6de587dcf01389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b40e316795b7fc3b278824ed20c86a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a2b40e316795b7fc3b278824ed20c86a9">c_max</a> = np.amax(<a class="el" href="namespaceVisualization.html#aab8d33b679d1ca68fed42d1f8fa1d18b">corrplot</a>)</td></tr>
<tr class="separator:a2b40e316795b7fc3b278824ed20c86a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44d496eea2f17be3c5c518d0f0cf5108"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a44d496eea2f17be3c5c518d0f0cf5108">c_min</a> = np.amin(<a class="el" href="namespaceVisualization.html#aab8d33b679d1ca68fed42d1f8fa1d18b">corrplot</a>)</td></tr>
<tr class="separator:a44d496eea2f17be3c5c518d0f0cf5108"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a870f1bbf32a5008b8532187bba3928ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a870f1bbf32a5008b8532187bba3928ba">adjustable</a></td></tr>
<tr class="separator:a870f1bbf32a5008b8532187bba3928ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5e92c42e47f11a0f1e416015868319c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#aa5e92c42e47f11a0f1e416015868319c">aspect</a></td></tr>
<tr class="separator:aa5e92c42e47f11a0f1e416015868319c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a626154f7bd88deddd1f91267decc5a50"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a626154f7bd88deddd1f91267decc5a50">im</a> = ax.pcolormesh(<a class="el" href="namespaceVisualization.html#a73c79fcc95b0f60baca2dc17a37af9b5">VizGrid</a>[0:inp.Npoints,0],<a class="el" href="namespaceVisualization.html#a73c79fcc95b0f60baca2dc17a37af9b5">VizGrid</a>[0:inp.Npoints,0], <a class="el" href="namespaceVisualization.html#aab8d33b679d1ca68fed42d1f8fa1d18b">corrplot</a>[<a class="el" href="namespaceVisualization.html#a17e94cd6db5805972738361b30548bc9">j</a>] , <a class="el" href="namespaceVisualization.html#a9732cad5841d0fbdde6de587dcf01389">cmap</a>=<a class="el" href="namespaceVisualization.html#a9732cad5841d0fbdde6de587dcf01389">cmap</a>, vmax=<a class="el" href="namespaceVisualization.html#a2b40e316795b7fc3b278824ed20c86a9">c_max</a>, vmin=<a class="el" href="namespaceVisualization.html#a44d496eea2f17be3c5c518d0f0cf5108">c_min</a>)</td></tr>
<tr class="separator:a626154f7bd88deddd1f91267decc5a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4d32f77eaf89c46112b36efb19e58d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#ae4d32f77eaf89c46112b36efb19e58d4">divider</a> = make_axes_locatable(ax)</td></tr>
<tr class="separator:ae4d32f77eaf89c46112b36efb19e58d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfacaa38ee4a9ddff279f79b2426dad6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#acfacaa38ee4a9ddff279f79b2426dad6">cax</a> = divider.append_axes(&quot;right&quot;, size=&quot;5%&quot;, pad=0.05)</td></tr>
<tr class="separator:acfacaa38ee4a9ddff279f79b2426dad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebb2f1de0ba17417aa01f71672821e8d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#aebb2f1de0ba17417aa01f71672821e8d">dpi</a></td></tr>
<tr class="separator:aebb2f1de0ba17417aa01f71672821e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b88141a5fcdd068c119068bd4c2551"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a16b88141a5fcdd068c119068bd4c2551">bbox_inches</a></td></tr>
<tr class="separator:a16b88141a5fcdd068c119068bd4c2551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6343c29e2c10198096c965c61f20a9e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceVisualization.html#a6343c29e2c10198096c965c61f20a9e7">Grid</a></td></tr>
<tr class="separator:a6343c29e2c10198096c965c61f20a9e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a62d0cb2bb32d0d72a646e25d79f06169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62d0cb2bb32d0d72a646e25d79f06169">&#9670;&nbsp;</a></span>AddKeysToPlot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.AddKeysToPlot </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>PLOT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>HISTORY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>keys</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>legend</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">This function add keys to the legend in a plot.
</pre> <div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_a62d0cb2bb32d0d72a646e25d79f06169_icgraph.png" border="0" usemap="#namespaceVisualization_a62d0cb2bb32d0d72a646e25d79f06169_icgraph" alt=""/></div>
<map name="namespaceVisualization_a62d0cb2bb32d0d72a646e25d79f06169_icgraph" id="namespaceVisualization_a62d0cb2bb32d0d72a646e25d79f06169_icgraph">
<area shape="rect" title=" " alt="" coords="424,14,665,43"/>
<area shape="rect" href="namespaceVisualization.html#af8daf19078ed2a4a872bcbeccabe518e" title=" " alt="" coords="220,5,376,52"/>
<area shape="rect" href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7" title=" " alt="" coords="5,14,172,43"/>
</map>
</div>

</div>
</div>
<a id="acefb83c8448ce68974698f7c4f9c71bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acefb83c8448ce68974698f7c4f9c71bb">&#9670;&nbsp;</a></span>folder_creation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.folder_creation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Checks wheter folders containing figures for visualization have been created and if not, creates them.</pre> <div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_acefb83c8448ce68974698f7c4f9c71bb_icgraph.png" border="0" usemap="#namespaceVisualization_acefb83c8448ce68974698f7c4f9c71bb_icgraph" alt=""/></div>
<map name="namespaceVisualization_acefb83c8448ce68974698f7c4f9c71bb_icgraph" id="namespaceVisualization_acefb83c8448ce68974698f7c4f9c71bb_icgraph">
<area shape="rect" title=" " alt="" coords="220,5,393,52"/>
<area shape="rect" href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7" title=" " alt="" coords="5,14,172,43"/>
</map>
</div>

</div>
</div>
<a id="a8cbc7721a052d8060c73ba8277638af6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cbc7721a052d8060c73ba8277638af6">&#9670;&nbsp;</a></span>get_labels()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.get_labels </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Prepare dictionary of labels, upper/lower bounds for data for the plots, etc.</pre> <div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_a8cbc7721a052d8060c73ba8277638af6_icgraph.png" border="0" usemap="#namespaceVisualization_a8cbc7721a052d8060c73ba8277638af6_icgraph" alt=""/></div>
<map name="namespaceVisualization_a8cbc7721a052d8060c73ba8277638af6_icgraph" id="namespaceVisualization_a8cbc7721a052d8060c73ba8277638af6_icgraph">
<area shape="rect" title=" " alt="" coords="424,14,631,43"/>
<area shape="rect" href="namespaceVisualization.html#a43afb30fea9bb592e6925646551a7772" title="PLOT OF THE PREDICTIONS FOR SUPERVISED REGRESSION FROM SINGLE SHOTS ###." alt="" coords="220,5,376,52"/>
<area shape="rect" href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7" title=" " alt="" coords="5,14,172,43"/>
</map>
</div>

</div>
</div>
<a id="a73d38fab201e34e1f619cb4302ccf090"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73d38fab201e34e1f619cb4302ccf090">&#9670;&nbsp;</a></span>grid_display()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.grid_display </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>list_of_images</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>list_of_titles</em> = <code>[]</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>no_of_columns</em> = <code>2</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>figsize</em> = <code>(10,10)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">This function displays a list of images.</pre> 
</div>
</div>
<a id="a2fc558414972b571432b236ce40595c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fc558414972b571432b236ce40595c7">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.main </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_test</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>history</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>test_predictions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>NViz</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Main visualization function: visualizes and saves plots of training history, predictions etc.</pre> <div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_a2fc558414972b571432b236ce40595c7_cgraph.png" border="0" usemap="#namespaceVisualization_a2fc558414972b571432b236ce40595c7_cgraph" alt=""/></div>
<map name="namespaceVisualization_a2fc558414972b571432b236ce40595c7_cgraph" id="namespaceVisualization_a2fc558414972b571432b236ce40595c7_cgraph">
<area shape="rect" title=" " alt="" coords="5,85,172,114"/>
<area shape="rect" href="namespaceVisualization.html#acefb83c8448ce68974698f7c4f9c71bb" title=" " alt="" coords="220,5,393,52"/>
<area shape="rect" href="namespaceVisualization.html#af8daf19078ed2a4a872bcbeccabe518e" title=" " alt="" coords="229,76,385,123"/>
<area shape="rect" href="namespaceVisualization.html#a43afb30fea9bb592e6925646551a7772" title="PLOT OF THE PREDICTIONS FOR SUPERVISED REGRESSION FROM SINGLE SHOTS ###." alt="" coords="229,147,385,193"/>
<area shape="rect" href="namespaceVisualization.html#a62d0cb2bb32d0d72a646e25d79f06169" title=" " alt="" coords="441,26,683,55"/>
<area shape="rect" href="namespaceVisualization.html#a0cbd305495c4edc4a0b18173f8d1877e" title=" " alt="" coords="451,80,673,127"/>
<area shape="rect" href="namespaceVisualization.html#a8cbc7721a052d8060c73ba8277638af6" title=" " alt="" coords="459,155,665,185"/>
</map>
</div>

</div>
</div>
<a id="af8daf19078ed2a4a872bcbeccabe518e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8daf19078ed2a4a872bcbeccabe518e">&#9670;&nbsp;</a></span>plot_history()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.plot_history </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>history</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ss_label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>space_label</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Generates plots of errors, accuracies, and losses of the neural network during training/testing.

Parameters
----------
y_test: numpy array, variable size and shape depending on dataset
    The labels or true values of the data set.

history: keras object
    Object containing the training/testing history of the neural network in terms
    of error, losses, etc.
    
test_predictions: numpy array, variable size and shape depending on dataset
    The predictions on the test set obtained from the trained neural network.
    
NVIZ: int
    Number of figures to visualize for the direct comparison of 1D/2D data
    (e.g. density or correlations).
    
ss_label: str
    Label indicating whether the single shots were in real or k space.

space_label: str
    Label indicating whether the density/correlations were in real or k space.


Returns
-------
NONE, visualizes and saves plots of training errors, accuracies, and losses.

References
----------

See Also
--------

Notes
-----

Examples
--------</pre> <div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_cgraph.png" border="0" usemap="#namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_cgraph" alt=""/></div>
<map name="namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_cgraph" id="namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_cgraph">
<area shape="rect" title=" " alt="" coords="5,29,161,75"/>
<area shape="rect" href="namespaceVisualization.html#a62d0cb2bb32d0d72a646e25d79f06169" title=" " alt="" coords="209,5,451,35"/>
<area shape="rect" href="namespaceVisualization.html#a0cbd305495c4edc4a0b18173f8d1877e" title=" " alt="" coords="219,59,441,106"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_icgraph.png" border="0" usemap="#namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_icgraph" alt=""/></div>
<map name="namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_icgraph" id="namespaceVisualization_af8daf19078ed2a4a872bcbeccabe518e_icgraph">
<area shape="rect" title=" " alt="" coords="220,5,376,52"/>
<area shape="rect" href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7" title=" " alt="" coords="5,14,172,43"/>
</map>
</div>

</div>
</div>
<a id="a43afb30fea9bb592e6925646551a7772"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43afb30fea9bb592e6925646551a7772">&#9670;&nbsp;</a></span>plot_predictions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.plot_predictions </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_test</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>test_predictions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>NViz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ss_label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>space_label</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PLOT OF THE PREDICTIONS FOR SUPERVISED REGRESSION FROM SINGLE SHOTS ###. </p>
<pre class="fragment">Generates plots of the predictions of the neural network compared with the true values.
    
Parameters
----------
y_test: numpy array, variable size and shape depending on dataset
    The labels or true values of the data set.
    
test_predictions: numpy array, variable size and shape depending on dataset
    The predictions on the test set obtained from the trained neural network.
    
NVIZ: int
    Number of figures to visualize for the direct comparison of 1D/2D data
    (e.g. density or correlations).
    
ss_label: str
    Label indicating whether the single shots were in real or k space.

space_label: str
    Label indicating whether the density/correlations were in real or k space.


Returns
-------
NONE, visualizes and saves plots of averaged and non-averaged predictions against true values.

References
----------

See Also
--------

Notes
-----

Examples
--------</pre> <div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_a43afb30fea9bb592e6925646551a7772_cgraph.png" border="0" usemap="#namespaceVisualization_a43afb30fea9bb592e6925646551a7772_cgraph" alt=""/></div>
<map name="namespaceVisualization_a43afb30fea9bb592e6925646551a7772_cgraph" id="namespaceVisualization_a43afb30fea9bb592e6925646551a7772_cgraph">
<area shape="rect" title="PLOT OF THE PREDICTIONS FOR SUPERVISED REGRESSION FROM SINGLE SHOTS ###." alt="" coords="5,5,161,52"/>
<area shape="rect" href="namespaceVisualization.html#a8cbc7721a052d8060c73ba8277638af6" title=" " alt="" coords="209,14,416,43"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_a43afb30fea9bb592e6925646551a7772_icgraph.png" border="0" usemap="#namespaceVisualization_a43afb30fea9bb592e6925646551a7772_icgraph" alt=""/></div>
<map name="namespaceVisualization_a43afb30fea9bb592e6925646551a7772_icgraph" id="namespaceVisualization_a43afb30fea9bb592e6925646551a7772_icgraph">
<area shape="rect" title="PLOT OF THE PREDICTIONS FOR SUPERVISED REGRESSION FROM SINGLE SHOTS ###." alt="" coords="220,5,376,52"/>
<area shape="rect" href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7" title=" " alt="" coords="5,14,172,43"/>
</map>
</div>

</div>
</div>
<a id="a4b2928dd15b353ec07a1fa887276b1c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b2928dd15b353ec07a1fa887276b1c2">&#9670;&nbsp;</a></span>result_averaging()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.result_averaging </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_test</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>test_predictions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Averaging of the prediction results for the same labels.</pre> 
</div>
</div>
<a id="a0cbd305495c4edc4a0b18173f8d1877e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cbd305495c4edc4a0b18173f8d1877e">&#9670;&nbsp;</a></span>SaveHistoryToFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Visualization.SaveHistoryToFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>HISTORY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>keys</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>HistoryFileName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">             ####
</pre><p> SUBROUTINES #### </p>
<h4><a class="anchor" id="autotoc_md6"></a>
autotoc_md6</h4>
<p>This function saves the training History to a given file.  </p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceVisualization_a0cbd305495c4edc4a0b18173f8d1877e_icgraph.png" border="0" usemap="#namespaceVisualization_a0cbd305495c4edc4a0b18173f8d1877e_icgraph" alt=""/></div>
<map name="namespaceVisualization_a0cbd305495c4edc4a0b18173f8d1877e_icgraph" id="namespaceVisualization_a0cbd305495c4edc4a0b18173f8d1877e_icgraph">
<area shape="rect" title=" " alt="" coords="424,5,645,52"/>
<area shape="rect" href="namespaceVisualization.html#af8daf19078ed2a4a872bcbeccabe518e" title=" " alt="" coords="220,5,376,52"/>
<area shape="rect" href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7" title=" " alt="" coords="5,14,172,43"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a870f1bbf32a5008b8532187bba3928ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a870f1bbf32a5008b8532187bba3928ba">&#9670;&nbsp;</a></span>adjustable</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.adjustable</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa5e92c42e47f11a0f1e416015868319c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5e92c42e47f11a0f1e416015868319c">&#9670;&nbsp;</a></span>aspect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.aspect</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a48a65a8de87d95b0dbbec60fa477f72a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48a65a8de87d95b0dbbec60fa477f72a">&#9670;&nbsp;</a></span>axes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.axes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a16b88141a5fcdd068c119068bd4c2551"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16b88141a5fcdd068c119068bd4c2551">&#9670;&nbsp;</a></span>bbox_inches</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.bbox_inches</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7615539e77c6d21800dab236441df04c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7615539e77c6d21800dab236441df04c">&#9670;&nbsp;</a></span>bottom</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.bottom</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b40e316795b7fc3b278824ed20c86a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b40e316795b7fc3b278824ed20c86a9">&#9670;&nbsp;</a></span>c_max</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.c_max = np.amax(<a class="el" href="namespaceVisualization.html#aab8d33b679d1ca68fed42d1f8fa1d18b">corrplot</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44d496eea2f17be3c5c518d0f0cf5108"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44d496eea2f17be3c5c518d0f0cf5108">&#9670;&nbsp;</a></span>c_min</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.c_min = np.amin(<a class="el" href="namespaceVisualization.html#aab8d33b679d1ca68fed42d1f8fa1d18b">corrplot</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acfacaa38ee4a9ddff279f79b2426dad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfacaa38ee4a9ddff279f79b2426dad6">&#9670;&nbsp;</a></span>cax</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.cax = divider.append_axes(&quot;right&quot;, size=&quot;5%&quot;, pad=0.05)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9732cad5841d0fbdde6de587dcf01389"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9732cad5841d0fbdde6de587dcf01389">&#9670;&nbsp;</a></span>cmap</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.cmap = plt.get_cmap('Blues')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab8d33b679d1ca68fed42d1f8fa1d18b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab8d33b679d1ca68fed42d1f8fa1d18b">&#9670;&nbsp;</a></span>corrplot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.corrplot = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4d32f77eaf89c46112b36efb19e58d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4d32f77eaf89c46112b36efb19e58d4">&#9670;&nbsp;</a></span>divider</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.divider = make_axes_locatable(ax)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aebb2f1de0ba17417aa01f71672821e8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebb2f1de0ba17417aa01f71672821e8d">&#9670;&nbsp;</a></span>dpi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.dpi</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a954d97f83053ab22bcd29d5f59990d18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a954d97f83053ab22bcd29d5f59990d18">&#9670;&nbsp;</a></span>fig</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.fig</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6343c29e2c10198096c965c61f20a9e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6343c29e2c10198096c965c61f20a9e7">&#9670;&nbsp;</a></span>Grid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.Grid</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;= np.savetxt(<span class="stringliteral">&#39;plots/{1}/Comparison-{6}-of-{0}-of-{1}-in-{2}-from-{3}-in-{4}-during-{5}-epochs.dat&#39;</span>.format(inp.Job_Type,inp.Learn,space_label,inp.Training_Data,ss_label,inp.epochs,i),</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;                                       np.c_[np.reshape(VizGrid,(-1,2)),test_predictions[indices[i],:],y_test[indices[i],:]])</div>
</div><!-- fragment -->
</div>
</div>
<a id="aca1f5f71877662af1ac2e4f689ab65e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca1f5f71877662af1ac2e4f689ab65e3">&#9670;&nbsp;</a></span>hspace</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.hspace</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a626154f7bd88deddd1f91267decc5a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a626154f7bd88deddd1f91267decc5a50">&#9670;&nbsp;</a></span>im</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.im = ax.pcolormesh(<a class="el" href="namespaceVisualization.html#a73c79fcc95b0f60baca2dc17a37af9b5">VizGrid</a>[0:inp.Npoints,0],<a class="el" href="namespaceVisualization.html#a73c79fcc95b0f60baca2dc17a37af9b5">VizGrid</a>[0:inp.Npoints,0], <a class="el" href="namespaceVisualization.html#aab8d33b679d1ca68fed42d1f8fa1d18b">corrplot</a>[<a class="el" href="namespaceVisualization.html#a17e94cd6db5805972738361b30548bc9">j</a>] , <a class="el" href="namespaceVisualization.html#a9732cad5841d0fbdde6de587dcf01389">cmap</a>=<a class="el" href="namespaceVisualization.html#a9732cad5841d0fbdde6de587dcf01389">cmap</a>, vmax=<a class="el" href="namespaceVisualization.html#a2b40e316795b7fc3b278824ed20c86a9">c_max</a>, vmin=<a class="el" href="namespaceVisualization.html#a44d496eea2f17be3c5c518d0f0cf5108">c_min</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a229d9a1b4760bab8b580e867331cfa0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a229d9a1b4760bab8b580e867331cfa0d">&#9670;&nbsp;</a></span>indices</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list Visualization.indices = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17e94cd6db5805972738361b30548bc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17e94cd6db5805972738361b30548bc9">&#9670;&nbsp;</a></span>j</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Visualization.j = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af64391a8e92283b02733d49d88d83c73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af64391a8e92283b02733d49d88d83c73">&#9670;&nbsp;</a></span>left</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.left</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa96c5d6df4e8c59ce0fe04e9284d64a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa96c5d6df4e8c59ce0fe04e9284d64a">&#9670;&nbsp;</a></span>ncols</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.ncols</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c2b77f8379ee0d4ce1f438afcc7ec26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c2b77f8379ee0d4ce1f438afcc7ec26">&#9670;&nbsp;</a></span>None</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.None</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a33f558cf5ff78450c386a582beb8cd21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33f558cf5ff78450c386a582beb8cd21">&#9670;&nbsp;</a></span>NSamples</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.NSamples = int(inp.NShots/inp.NShotsPerSample)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4c18402ffec7da7c8b4deb6216a6ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4c18402ffec7da7c8b4deb6216a6ad7">&#9670;&nbsp;</a></span>right</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.right</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7cb6bc042158650731c166352973acab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cb6bc042158650731c166352973acab">&#9670;&nbsp;</a></span>sharex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.sharex</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e46e6746c3d51841fc89f79a8a3121f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e46e6746c3d51841fc89f79a8a3121f">&#9670;&nbsp;</a></span>sharey</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.sharey</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2212aeef70b028f01c80de4987fa1c09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2212aeef70b028f01c80de4987fa1c09">&#9670;&nbsp;</a></span>TestingFraction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.TestingFraction = len(y_test[:,0])</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ax.hist(phases, density=1, bins=n_bins) </p>
<p>Correlations </p>

</div>
</div>
<a id="a313297e7038cb8ceef52843bd961a3f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a313297e7038cb8ceef52843bd961a3f6">&#9670;&nbsp;</a></span>threshold</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.threshold</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a295577d3e266e9cf1cdfe43469a1c922"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a295577d3e266e9cf1cdfe43469a1c922">&#9670;&nbsp;</a></span>titles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list Visualization.titles = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0568e58b5b84125c7edefdda2d19fd86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0568e58b5b84125c7edefdda2d19fd86">&#9670;&nbsp;</a></span>top</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.top</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed67a92e32542a47ff4c87c2ca49b265"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed67a92e32542a47ff4c87c2ca49b265">&#9670;&nbsp;</a></span>True</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.True</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a73c79fcc95b0f60baca2dc17a37af9b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73c79fcc95b0f60baca2dc17a37af9b5">&#9670;&nbsp;</a></span>VizGrid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.VizGrid = np.reshape(np.loadtxt('VizGrid.txt', usecols=[0,1]),(-1,2))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a858742a7d6e2d14a58454df731fba530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a858742a7d6e2d14a58454df731fba530">&#9670;&nbsp;</a></span>wspace</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Visualization.wspace</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceVisualization.html">Visualization</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
